Reports
Generate Report
Analyze the study’s interview transcripts and return the report.
POST
/
api
/
public
/
v1
/
studies
/
{study_id}
/
report
Generate Report
curl --request POST \
--url https://api.userintuition.ai/api/public/v1/studies/{study_id}/report \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.userintuition.ai/api/public/v1/studies/{study_id}/report"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.userintuition.ai/api/public/v1/studies/{study_id}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"study_id": "<string>",
"report": "<string>",
"references": [
{
"reference_id": "<string>",
"interview_id": "<string>",
"audio_recording_url": "<string>",
"video_recording_url": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"message_text": "<string>"
}
],
"interview_count": 0,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Authenticate with an API key (prefixed ui_sk_) or a JWT token from the dashboard.
Path Parameters
Response
Successful Response
The study this report was generated for
Rendered report (the references section is moved to references)
Show child attributes
Show child attributes
Number of interviews included in the report
Was this page helpful?
⌘I
Generate Report

